import greenfoot.*;  // imports Actor, World, Greenfoot, GreenfootImage

public class TurtleWorld extends World
{
    /**
     * Create the turtle world. Our world has a size 
     * of 560x460 cells, where every cell is just 1 pixel.
     */
    public TurtleWorld() 
    {
        super(720, 480, 1);
        SunnySideUp();
        prepare();
        putingEgg();
        BatoBatosaLangit();
        Greenfoot.playSound("chicken.mp3");
    }
    public void act()
    {
        if (getObjects(egg.class).isEmpty()) SunnySideUp();
        if (getObjects(Sugok.class).isEmpty()) putingEgg();
        if (getObjects(Rock.class).isEmpty()) BatoBatosaLangit();
    }
    private void prepare()
    {
        Chicken chicken = new Chicken();
        addObject(chicken, 648, 403);
        Counter2 counter2 = new Counter2();
        addObject(counter2, 57, 69);
        Score score = new Score();
        addObject(score, 64, 44);
        score.setLocation(59, 44);
        chicken.setLocation(373, 403);
    }
    public void SunnySideUp()
    {   
        if(Greenfoot.getRandomNumber(2) < 50) 
        {  
            addObject(new egg(), Greenfoot.getRandomNumber(519),20);  
            
        } 
    }
    public void putingEgg()
    {
         if(Greenfoot.getRandomNumber(2) < 50) 
        {  
            addObject(new Sugok(), Greenfoot.getRandomNumber(519),21);   
        } 
    }
    public void  BatoBatosaLangit()
    {
         if(Greenfoot.getRandomNumber(2) < 50) 
        {  
            addObject(new Rock(), Greenfoot.getRandomNumber(519),21);   
        } 
    }
}
